Jump to content

30 days with PCLinuxOS


Recommended Posts

Day 18

 

was playing around with Gimp earlier and I've noticed that since adding the 1GB of ram that gimp is practically fast !, so once again if any of you are experiencing slow response from your linux distro then upgrade your RAM !

 

 

 

Well hung !

 

I started up Openoffice calc today to make some updates to a spreadsheet I'm working on, I made a few edits when suddenly everything just hung completely (except for the mouse, that worked), i had a few things running in the background (3 terminals, xchat, pidgin, firefox with 8 tabs). The capslock key did not show the capslock LED (always a good test) and ctrl_alt_backspace did not restart X, pressing the power button did not gracefully shut the computer down either so i held it and did a dirty shutdown.

 

After that, I powered on again and one lost inode was deleted during the reboot.

 

[root@localhost anyweb]# dmesg |grep inode

ext3_orphan_cleanup: deleting unreferenced inode 260623

EXT3-fs: hda1: 1 orphan inode deleted

 

Once I logged in to KDE again, I started up openoffice calc again and tried to re-edit my file, openoffice in turn told me that the file was locked and I had the option of recovering the document, i chose to do this and it loaded up the document, however the changes i was making to the doc were all but gone, luckily it wasn't a weeks worth of work (more like 5 minutes).

 

Now that I was working again I tried the internet, but no wireless. No ip address, hmm, as root in cli i issued my iwconfig commands again followed by dhclient and a few seconds later i had internet. To hopefully resolve this on every boot i added those two lines to /etc/rc.d/rc.local (executes scripts in there on every boot).

 

Compiz is working now !

 

I changed DM back from KDE to Gnome, and then decided I wanted to try compiz again. I enabled Compiz (using the Configure your computer icon) and then through trial and error found a fix for my lack of window-decorators (as I now know they are called).

 

If you click on System, Administration and then select the Compiz Fusion Icon, it will load that icon into your system tray (blue box with a white arrow..). I then right-clicked on that box and chose Select Window Decorator, it was set to GTK and I set it to Emerald. Lo and behold, borders around my windows !!

 

post-1-1201528962.jpg

 

Great, I found out how to get the window-decorator's showing up on all my windows (which was essentially making Compiz unusable for me before I figured this out).

 

post-1-1201534305.jpg

 

 

Next up i wanted to add the avant dock, but a bit of googling didn't throw up any extra repository for it (like i had with Ubuntu), so instead i hopped over to here http://code.google.com/p/avant-window-navigator/ and that website told me to go here > https://launchpad.net/awn so I did and then I grabbed the tar ball.

 

once done, I uncompressed the file

 

tar xvf avant-window-navigator-0.2.1.tar

 

then change directory into the newly extracted folder

 

cd avant-window-navigator-0.2.1

 

followed by ./configure

 

which told me the following error

 

checking for headers required to compile python extensions... not found

configure: error: could not find Python headers

 

So back to synaptic, I searched for libpython2.4-dev and installed it, now I got a new error

 

checking for PYGTK... configure: error: Package requirements (pygtk-2.0 >= 2.8.0) were not met:

 

No package 'pygtk-2.0' found

 

Consider adjusting the PKG_CONFIG_PATH environment variable if you

installed software in a non-standard prefix.

 

Alternatively, you may set the environment variables PYGTK_CFLAGS

and PYGTK_LIBS to avoid the need to call pkg-config.

See the pkg-config man page for more details.

 

I googled a bit and found a reference to the same error above (more or less, it was on an Ubuntu system), and the suggested solution in that case was to install python-gtk2-dev so I searched synaptic for that and got no results. Using my head I simply searched for pygtk and could see that a package called pygtk2.0-devel was not installed, I selected it and chose to apply, that popped up an error in one of the 25 required packages, but as I had been using apt-get in another cli I decided to 'reload' my synaptic cache. Now it installed the pygtk2.0-devel and its 25 dependancies with no fuss and indeed ./configure got further !

 

and then stopped with another error

 

checking for AWN... configure: error: Package requirements ( glib-2.0 gobject-2.0 gtk+-2.0 gdk-2.0 libwnck-1.0 gnome-desktop-2.0 libgnome-2.0 gnome-vfs-2.0 gconf-2.0 x11 xproto dbus-glib-1 libglade-2.0 xdamage xcomposite xrender) were not met:

 

No package 'libwnck-1.0' found

No package 'gnome-desktop-2.0' found

No package 'libgnome-2.0' found

No package 'gnome-vfs-2.0' found

No package 'gconf-2.0' found

No package 'dbus-glib-1' found

No package 'libglade-2.0' found

 

Consider adjusting the PKG_CONFIG_PATH environment variable if you

installed software in a non-standard prefix.

 

Alternatively, you may set the environment variables AWN_CFLAGS

and AWN_LIBS to avoid the need to call pkg-config.

See the pkg-config man page for more details.

 

ok then, that's quite a bunch of packages to install

Link to post
Share on other sites

Day 19

 

The avant dock - continued..

 

To try and resolve some of the errors above I started with installing libgnome-vfs2_devel (as it's listed in synaptic) and sure enough after re-running ./configure i am now down to the following errors

 

No package 'libwnck-1.0' found

No package 'gnome-desktop-2.0' found

No package 'libgnome-2.0' found

No package 'libglade-2.0' found

 

from the above, i'm guessing that these are also expecting devel packages, so lets start with references to the first.

 

my hunch was right, installing libwnck-1_22-devel (the only libwnck* not installed in synaptic) got rid of my libwnck-1.0 error above so now i'm down to just three which are

 

No package 'gnome-desktop-2.0' found

No package 'libgnome-2.0' found

No package 'libglade-2.0' found

 

back in synaptic, i searched for gnome-desktop and could see one devel package not installed (called libgnome-desktop2_2-devel) so i highlighted it for installation and hit apply. That in turn needed another 12 packages so I clicked continue...

 

wow, after running ./configure i only get one remaining error and it's

 

No package 'libglade-2.0' found

 

hopefully this means i'm close !

 

I search synaptic for libglade and can see that it's installed alreayd but the -devel package is not, so i highlight libglade2.0_0-devel and install it.

 

I run ./configure again one last time and this time it completes with no error messages, wow, I did it.

 

ok next I type make (to compile it)

 

but to my utter disbelief I get another error after a few minutes of compiling...

 

Making all in po

make[2]: Entering directory `/home/anyweb/avant/avant-window-navigator-0.2.1/po'

file=`echo ar | sed 's,.*/,,'`.gmo \

&& rm -f $file && -o $file ar.po

/bin/sh: line 1: -o: command not found

make[2]: *** [ar.gmo] Error 127

make[2]: Leaving directory `/home/anyweb/avant/avant-window-navigator-0.2.1/po'

make[1]: *** [all-recursive] Error 1

make[1]: Leaving directory `/home/anyweb/avant/avant-window-navigator-0.2.1'

make: *** [all] Error 2

 

well it looks like theres a bug in the source itself, so rather than go any further with this package i download the previous version

 

and start with ./configure again.

 

This time, no errors (seems I fixed all those deps in my first attempt.

 

but make gave me the same error again....

 

Making all in po

make[2]: Entering directory `/home/anyweb/avant/avant-window-navigator-0.2/po'

file=`echo ar | sed 's,.*/,,'`.gmo \

&& rm -f $file && -o $file ar.po

/bin/sh: line 1: -o: command not found

 

ok seems i'm not the only person with this error so i follow there advice and install gettext and the gettext-devel packages (to be sure to be sure). The gettext package are GNU libraries and utilities for producing multi-lingual messages.

 

Ok, once done, I try make again, with the same error, so I run ./configure again followed by make, this time it completes with no errors !

 

Next I become root (su -) and run make install. This install's the awn package. Ok time to test it !

 

in a cli as anyweb i type awn-manager which gives me the following error

Key: /apps/avant-window-navigator/title/text_color isn't set.

Restarting AWN usually solves this issue

 

 

and googling points me here > http://ubuntuforums.org/archive/index.php/t-575921.html and the helpful people there resolved it by running avant-window-navigator before awn-manager

 

so i try

avant-window-navigator

and sure enough, it works !

 

Now that I have it looking cool (with the avant dock) I want to add the gdesklets application, and that's easy, just pop into synaptic and search for (and then install) gdesktlets. Once installed, I download the goodweather applet and install it as described here.

 

 

check out the screenshot, finally !!

 

post-1-1201597736.png

 

(wallpaper from here) :)

 

and here we have compiz (fusion) + avant dock + gdesklets + goodweather app in action

 

post-1-1201598964.jpg

Link to post
Share on other sites

Day 22

 

nothing to report for the last few days as I was actually busy doing Windows stuff, yup I had to complete another article

 

and here it is. If any of you manage the deployment of windows boxes you'll apreciate it

 

ok, back to PCLinuxOS. It's working nicely for me, and I do use it every day, I always have one computer dedicated 100% to a linux distro and this current one is dedicated to PCLinuxOS.

 

post-1-1201905104.png

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...